TEST(1)

NAVN
test - check file types and compare values

OVERSIKT
test UTTRYKK
test
[ UTTRYKK ]
[ ]
[ VALG

BESKRIVELSE

Avslutt med statusen som avgjøres av angitt UTTRYKK.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Hvis du ikke bruker et UTTRYKK, avslutter programmet med falsk verdi. UTTRYKKet er enten sant eller usant, og avgjør status. Det er i siste instans ett av følgende:

( UTTRYKK )
    UTTRYKK er sant

! UTTRYKK
    UTTRYKK er usant

UTTRYKK1 -a UTTRYKK2
    både UTTRYKK1 og UTTRYKK2 er sanne

UTTRYKK1 -o UTTRYKK2
    enten UTTRYKK1 eller UTTRYKK2 er sant

-n STRENG
    STRENGens lengde er ikke null

STRENG
    tilsvarer «-n STRENG»

-z STRENG
    STRENGens lengde er null

STRENG1 = STRENG2
    strengene er identiske

STRENG1 != STRENG2
    strengene er ikke identiske

HELTALL1 -eq HELTALL2
    HELTALL1 er identisk med HELTALL2

HELTALL1 -ge HELTALL2
    HELTALL1 er identisk med, eller større enn HELTALL2

HELTALL1 -gt HELTALL2
    HELTALL1 er høyere enn HELTALL2

HELTALL1 -le HELTALL2
    HELTALL1 er lavere enn, eller identisk med HELTALL2

HELTALL1 -lt HELTALL2
    HELTALL1 er lavere enn HELTALL2

HELTALL1 -ne HELTALL2
    HELTALL1 er ikke identisk med HELTALL2

FIL1 -ef FIL2
    FIL1 og FIL2 har samme enhets- og inode-nummer

FIL1 -nt FIL2
    FIL1 er nyere (har senere endringstidspunkt) enn FIL2

FIL1 -ot FIL2
    FIL1 er eldre enn FIL2

-b FIL
    FIL finnes, og er en blokk-spesialfil

-c FIL
    FIL finnes, og er tegn-spesialfil

-d FIL
    FIL finnes, og er en mappe

-e FIL
    FIL finnes

-f FIL
    FIL finnes, og er en vanlig fil

-g FIL
    FIL finnes, og er tildelt gruppe-ID

-G FIL
    FIL finnes, og eies av effektiv gruppe-ID

-h FIL
    FIL finnes, og er en symbolsk lenke (tilsvarer -L)

-k FIL
    FIL finnes, og er låst («sticky bit» er markert)

-L FIL
    FIL finnes, og er en symbolsk lenke (tilsvarer -h)

-N FIL
    FIL finnes og er blitt endret siden sist den ble lest

-O FIL
    FIL finnes, og eies av effektiv bruker-ID

-p FIL
    FIL finnes, og er et navngitt datarør

-r FIL
    FILE exists and the user has read access

-s FIL
    FIL finnes, og har en størrelse som er over null

-S FIL
    FIL finnes, og er en sokkelfil

-t FD
    fildeskriptor FD er åpen i en terminal

-u FIL
    FIL finnes, og «set-user-ID»-biten er valgt

-w FIL
    FILE exists and the user has write access

-x FIL
    FILE exists and the user has execute (or search) access

Alle FILrelaterte tester følger symbolske lenker, unntatt ved valg av -h og -L. Merk at parentestegn må vernes med skiftetegn (f.eks. med «») i skall. HELTALLet kan også være «-l STRENG», som sjekker lengden på STRENGen.

Binary -a and -o are ambiguous. Use 'test EXPR1 && test EXPR2' or 'test EXPR1 || test EXPR2' instead.

'[' honors --help and --version, but 'test' treats them as STRINGs.

Your shell may have its own version of test and/or [, which usually supersedes the version described here. Please refer to your shell's documentation for details about the options it supports.

OPPHAVSMANN
Skrevet av Kevin Braunsdorf og Matthew Bradburn.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2024 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
access(2)

Full documentation <https://www.gnu.org/software/coreutils/test>
eller lokalt: info '(coreutils) test invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.